Bug 882434 - FSError: mount failed: (32, 'mount: /dev/sdb1 is already mounted or /run/install/isodir busy\n /dev/sdb1 is already mounted on /run/initramfs/live')
Summary: FSError: mount failed: (32, 'mount: /dev/sdb1 is already mounted or /run/inst...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:76f58e6e4251af1f980ffaf105a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-30 22:51 UTC by John Reiser
Modified: 2014-02-05 13:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:28:51 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (271.09 KB, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: product (6 bytes, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: type (9 bytes, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: ifcfg.log (1.08 KB, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: storage.log (106.21 KB, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: version (7 bytes, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: environ (743 bytes, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: executable (14 bytes, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: anaconda.log (6.00 KB, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: syslog (81.77 KB, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: packaging.log (1.81 KB, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: cmdline_file (108 bytes, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: release (24 bytes, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details
File: program.log (46.53 KB, text/plain)
2012-11-30 22:51 UTC, John Reiser
no flags Details

Description John Reiser 2012-11-30 22:51:05 UTC
Description of problem:
Download full 4.626GB Fedora-18-Beta-i386-DVD.iso, write to 8GB USB2.0 flash memory using livecd-iso-to-disk.  Boot USB stick on old laptop via PCMCIA card with USB2.0 ports (trampoline via copy of syslinux/{vmlinuz, initrd.img} on harddrive first; use kernel boot parameters "root=CDLABEL=LIVE rootfstype=auto"), with no network connection (cable unplugged).  Click on Software Source, click radio button from network to .iso, click to Select .iso.

Version-Release number of selected component:
anaconda-18.29.2

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.6-3.fc18.i686

description:
:The following was filed automatically by anaconda:
:anaconda 18.29.2 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 630, in mount
:    raise FSError("mount failed: %s" % e)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 222, in run
:    dev.format.mount(mountpoint=ISO_DIR)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/source.py", line 828, in on_chooser_clicked
:    f = dialog.run(self._get_selected_partition())
:FSError: mount failed: (32, 'mount: /dev/sdb1 is already mounted or /run/install/isodir busy\n       /dev/sdb1 is already mounted on /run/initramfs/live')

Comment 1 John Reiser 2012-11-30 22:51:08 UTC
Created attachment 655326 [details]
File: anaconda-tb

Comment 2 John Reiser 2012-11-30 22:51:10 UTC
Created attachment 655327 [details]
File: product

Comment 3 John Reiser 2012-11-30 22:51:11 UTC
Created attachment 655328 [details]
File: type

Comment 4 John Reiser 2012-11-30 22:51:13 UTC
Created attachment 655329 [details]
File: ifcfg.log

Comment 5 John Reiser 2012-11-30 22:51:15 UTC
Created attachment 655330 [details]
File: storage.log

Comment 6 John Reiser 2012-11-30 22:51:16 UTC
Created attachment 655331 [details]
File: version

Comment 7 John Reiser 2012-11-30 22:51:18 UTC
Created attachment 655332 [details]
File: environ

Comment 8 John Reiser 2012-11-30 22:51:19 UTC
Created attachment 655333 [details]
File: executable

Comment 9 John Reiser 2012-11-30 22:51:21 UTC
Created attachment 655334 [details]
File: anaconda.log

Comment 10 John Reiser 2012-11-30 22:51:22 UTC
Created attachment 655335 [details]
File: syslog

Comment 11 John Reiser 2012-11-30 22:51:24 UTC
Created attachment 655336 [details]
File: hashmarkername

Comment 12 John Reiser 2012-11-30 22:51:26 UTC
Created attachment 655337 [details]
File: packaging.log

Comment 13 John Reiser 2012-11-30 22:51:27 UTC
Created attachment 655338 [details]
File: cmdline_file

Comment 14 John Reiser 2012-11-30 22:51:29 UTC
Created attachment 655339 [details]
File: release

Comment 15 John Reiser 2012-11-30 22:51:31 UTC
Created attachment 655340 [details]
File: program.log

Comment 16 John Reiser 2012-11-30 23:07:06 UTC
Reproducible.  Boot USB2.0 with full install.iso.  Click INSTALLATION SOURCE, click radio button for "ISO file:".  The USB stick is listed as the Device:.  Click "Choose an ISO".  Traceback.

Comment 17 satellitgo 2013-05-30 20:51:03 UTC
Description of problem:
tried to install to ext USB HD from running f18 PC with anaconda

Version-Release number of selected component:
anaconda-18.37.11-1.fc18.x86_64

Additional info:
cmdline:        /usr/bin/python  /usr/sbin/anaconda
cmdline_file:   BOOT_IMAGE=/vmlinuz-3.9.4-200.fc18.x86_64 root=UUID=be43be50-f71a-4d26-92a0-a11bad180a1b ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 rhgb quiet LANG=en_US.UTF-8
executable:     /usr/sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.4-200.fc18.x86_64
other involved packages: 
product:        Fedora
release:        Fedora release 18 (Spherical Cow)
type:           libreport
version:        18

Comment 18 satellitgo 2013-05-30 21:09:59 UTC
BZ 969178 newer dup
anaconda 18.37.11 installed with yum
tried to select .iso file in source selection spoke

Comment 19 Fedora End Of Life 2013-12-21 09:35:32 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2014-02-05 13:28:55 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.